This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 568883 - [abrt] crash in smolt-1.4.2-1.fc12: socket.py:512:create_connection:IOError: [Errno socket error] [Errno 101] Network is unreachable
[abrt] crash in smolt-1.4.2-1.fc12: socket.py:512:create_connection:IOError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
abrt_hash:c67713d8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 15:24 EST by Philippe Waroquiers
Modified: 2010-12-03 17:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:18:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.44 KB, text/plain)
2010-02-26 15:24 EST, Philippe Waroquiers
no flags Details

  None (edit)
Description Philippe Waroquiers 2010-02-26 15:24:16 EST
abrt 1.0.7 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/smoltSendProfile
component: smolt
executable: /usr/bin/smoltSendProfile
kernel: 2.6.31.12-174.2.22.fc12.i686.PAE
package: smolt-1.4.2-1.fc12
reason: socket.py:512:create_connection:IOError: [Errno socket error] [Errno 101] Network is unreachable
release: Fedora release 12 (Constantine)

backtrace
-----
socket.py:512:create_connection:IOError: [Errno socket error] [Errno 101] Network is unreachable

Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 273, in <module>
    scan(profile, opts.smoonURL)
  File "/usr/share/smolt/client/scan.py", line 74, in scan
    r = simplejson.load(urllib.urlopen(scanURL, scanData))
  File "/usr/lib/python2.6/urllib.py", line 89, in urlopen
    return opener.open(url, data)
  File "/usr/lib/python2.6/urllib.py", line 205, in open
    return getattr(self, name)(url, data)
  File "/usr/lib/python2.6/urllib.py", line 342, in open_http
    h.endheaders()
  File "/usr/lib/python2.6/httplib.py", line 868, in endheaders
    self._send_output()
  File "/usr/lib/python2.6/httplib.py", line 740, in _send_output
    self.send(msg)
  File "/usr/lib/python2.6/httplib.py", line 699, in send
    self.connect()
  File "/usr/lib/python2.6/httplib.py", line 683, in connect
    self.timeout)
  File "/usr/lib/python2.6/socket.py", line 512, in create_connection
    raise error, msg
IOError: [Errno socket error] [Errno 101] Network is unreachable

Local variables in innermost frame:
af: 10
canonname: ''
proto: 6
sock: <socket._socketobject object at 0x985e1ec>
msg: error(101, 'Network is unreachable')
host: 'www.smolts.org'
timeout: <object object at 0xb78534a0>
res: (10, 1, 6, '', ('2610:28:200:1::fed0:2', 80, 0, 0))
socktype: 1
sa: ('2610:28:200:1::fed0:2', 80, 0, 0)
port: 80
address: ('www.smolts.org', 80)

How to reproduce
-----
Just typed smoltSendProfile, then viewed the information, then send the info

The network connection was working properly when this was being done so unclear why smolt
said the network is unreachable
Comment 1 Philippe Waroquiers 2010-02-26 15:24:18 EST
Created attachment 396659 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 17:15:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 17:18:28 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.